Bug 1472280 - Internal compiler error when compiling/building MXNET
Internal compiler error when compiling/building MXNET
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: arm-gp2x-linux-gcc (Show other bugs)
26
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-18 07:00 EDT by Ben Engbers
Modified: 2018-05-29 08:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 08:08:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Preprocessor output for 'control_flow_op.o' ? (2.61 MB, text/plain)
2017-07-18 07:00 EDT, Ben Engbers
no flags Details

  None (edit)
Description Ben Engbers 2017-07-18 07:00:17 EDT
Created attachment 1300415 [details]
Preprocessor output for  'control_flow_op.o' ?

Description of problem:
I get an internal compiler error when compiling the sourcecode for mxnet (https://github.com/dmlc/mxnet.git --recursive)

g++ -std=c++11 -c -DMSHADOW_FORCE_STREAM -Wall -Wsign-compare -O3 -DNDEBUG=1 -I/home/bengbers/Tmp/mxnet/mshadow/ -I/home/bengbers/Tmp/mxnet/dmlc-core/include -fPIC -I/home/bengbers/Tmp/mxnet/nnvm/include -I/home/bengbers/Tmp/mxnet/dlpack/include -Iinclude -funroll-loops -Wno-unused-variable -Wno-unused-parameter -Wno-unknown-pragmas -Wno-unused-local-typedefs -msse3 -DMSHADOW_USE_CUDA=0 -DMSHADOW_USE_CBLAS=1 -DMSHADOW_USE_MKL=0 -DMSHADOW_RABIT_PS=0 -DMSHADOW_DIST_PS=0 -DMSHADOW_USE_PASCAL=0 -DMXNET_USE_OPENCV=1 -I/usr/include/opencv  -fopenmp  -DMXNET_USE_NVRTC=0 -MMD -c src/operator/tensor/control_flow_op.cc -o build/src/operator/tensor/control_flow_op.o
g++: interne compilerfout: Killed (program cc1plus)
Please submit a full bug report,
with preprocessed source if appropriate.
Zie <http://bugzilla.redhat.com/bugzilla> voor instructies.
make: *** [Makefile:271: build/src/operator/tensor/control_flow_op.o] Fout 4


Version-Release number of selected component (if applicable):


How reproducible:
Every time


Steps to Reproduce:
1. Download the code and install all dependencies
2. cp make/config.mk .
3. make USE_BLAS=openblas

Actual results:
g++ -std=c++11 -c -DMSHADOW_FORCE_STREAM -Wall -Wsign-compare -O3 -DNDEBUG=1 -I/home/bengbers/Tmp/mxnet/mshadow/ -I/home/bengbers/Tmp/mxnet/dmlc-core/include -fPIC -I/home/bengbers/Tmp/mxnet/nnvm/include -I/home/bengbers/Tmp/mxnet/dlpack/include -Iinclude -funroll-loops -Wno-unused-variable -Wno-unused-parameter -Wno-unknown-pragmas -Wno-unused-local-typedefs -msse3 -DMSHADOW_USE_CUDA=0 -DMSHADOW_USE_CBLAS=1 -DMSHADOW_USE_MKL=0 -DMSHADOW_RABIT_PS=0 -DMSHADOW_DIST_PS=0 -DMSHADOW_USE_PASCAL=0 -DMXNET_USE_OPENCV=1 -I/usr/include/opencv  -fopenmp  -DMXNET_USE_NVRTC=0 -MMD -c src/operator/mkl/mkl_cppwrapper.cc -o build/src/operator/mkl/mkl_cppwrapper.o
g++ -std=c++11 -c -DMSHADOW_FORCE_STREAM -Wall -Wsign-compare -O3 -DNDEBUG=1 -I/home/bengbers/Tmp/mxnet/mshadow/ -I/home/bengbers/Tmp/mxnet/dmlc-core/include -fPIC -I/home/bengbers/Tmp/mxnet/nnvm/include -I/home/bengbers/Tmp/mxnet/dlpack/include -Iinclude -funroll-loops -Wno-unused-variable -Wno-unused-parameter -Wno-unknown-pragmas -Wno-unused-local-typedefs -msse3 -DMSHADOW_USE_CUDA=0 -DMSHADOW_USE_CBLAS=1 -DMSHADOW_USE_MKL=0 -DMSHADOW_RABIT_PS=0 -DMSHADOW_DIST_PS=0 -DMSHADOW_USE_PASCAL=0 -DMXNET_USE_OPENCV=1 -I/usr/include/opencv  -fopenmp  -DMXNET_USE_NVRTC=0 -MMD -c src/operator/mkl/mkl_memory.cc -o build/src/operator/mkl/mkl_memory.o
g++ -std=c++11 -c -DMSHADOW_FORCE_STREAM -Wall -Wsign-compare -O3 -DNDEBUG=1 -I/home/bengbers/Tmp/mxnet/mshadow/ -I/home/bengbers/Tmp/mxnet/dmlc-core/include -fPIC -I/home/bengbers/Tmp/mxnet/nnvm/include -I/home/bengbers/Tmp/mxnet/dlpack/include -Iinclude -funroll-loops -Wno-unused-variable -Wno-unused-parameter -Wno-unknown-pragmas -Wno-unused-local-typedefs -msse3 -DMSHADOW_USE_CUDA=0 -DMSHADOW_USE_CBLAS=1 -DMSHADOW_USE_MKL=0 -DMSHADOW_RABIT_PS=0 -DMSHADOW_DIST_PS=0 -DMSHADOW_USE_PASCAL=0 -DMXNET_USE_OPENCV=1 -I/usr/include/opencv  -fopenmp  -DMXNET_USE_NVRTC=0 -MMD -c src/operator/nn/softmax.cc -o build/src/operator/nn/softmax.o
In file included from src/operator/nn/softmax.cc:6:0:
src/operator/nn/./softmax-inl.h: In instantiation of ‘void mxnet::op::mxnet_op::Softmax(mshadow::Stream<mshadow::cpu>*, DType*, DType*, mshadow::Shape<dim>, int) [with OP = mxnet::op::mxnet_op::softmax_fwd; DType = float; int ndim = 2]’:
src/operator/nn/./softmax-inl.h:226:3:   required from ‘void mxnet::op::SoftmaxCompute(const nnvm::NodeAttrs&, const mxnet::OpContext&, const std::vector<mxnet::TBlob>&, const std::vector<mxnet::OpReqType>&, const std::vector<mxnet::TBlob>&) [with xpu = mshadow::cpu; OP = mxnet::op::mxnet_op::softmax_fwd]’
src/operator/nn/softmax.cc:37:80:   required from here
src/operator/nn/./softmax-inl.h:46:3: let op: comparison between signed and unsigned integer expressions [-Wsign-compare]
   for (int i = 0; i < N; ++i) {
   ^~~
src/operator/nn/./softmax-inl.h: In instantiation of ‘void mxnet::op::mxnet_op::Softmax(mshadow::Stream<mshadow::cpu>*, DType*, DType*, mshadow::Shape<dim>, int) [with OP = mxnet::op::mxnet_op::softmax_fwd; DType = float; int ndim = 3]’:
src/operator/nn/./softmax-inl.h:226:3:   required from ‘void mxnet::op::SoftmaxCompute(const nnvm::NodeAttrs&, const mxnet::OpContext&, const std::vector<mxnet::TBlob>&, const std::vector<mxnet::OpReqType>&, const std::vector<mxnet::TBlob>&) [with xpu = mshadow::cpu; OP = mxnet::op::mxnet_op::softmax_fwd]’
src/operator/nn/softmax.cc:37:80:   required from here
src/operator/nn/./softmax-inl.h:46:3: let op: comparison between signed and unsigned integer expressions [-Wsign-compare]
src/operator/nn/./softmax-inl.h: In instantiation of ‘void mxnet::op::mxnet_op::Softmax(mshadow::Stream<mshadow::cpu>*, DType*, DType*, mshadow::Shape<dim>, int) [with OP = mxnet::op::mxnet_op::softmax_fwd; DType = double; int ndim = 2]’:
src/operator/nn/./softmax-inl.h:226:3:   required from ‘void mxnet::op::SoftmaxCompute(const nnvm::NodeAttrs&, const mxnet::OpContext&, const std::vector<mxnet::TBlob>&, const std::vector<mxnet::OpReqType>&, const std::vector<mxnet::TBlob>&) [with xpu = mshadow::cpu; OP = mxnet::op::mxnet_op::softmax_fwd]’
src/operator/nn/softmax.cc:37:80:   required from here
src/operator/nn/./softmax-inl.h:46:3: let op: comparison between signed and unsigned integer expressions [-Wsign-compare]
src/operator/nn/./softmax-inl.h: In instantiation of ‘void mxnet::op::mxnet_op::Softmax(mshadow::Stream<mshadow::cpu>*, DType*, DType*, mshadow::Shape<dim>, int) [with OP = mxnet::op::mxnet_op::softmax_fwd; DType = double; int ndim = 3]’:
src/operator/nn/./softmax-inl.h:226:3:   required from ‘void mxnet::op::SoftmaxCompute(const nnvm::NodeAttrs&, const mxnet::OpContext&, const std::vector<mxnet::TBlob>&, const std::vector<mxnet::OpReqType>&, const std::vector<mxnet::TBlob>&) [with xpu = mshadow::cpu; OP = mxnet::op::mxnet_op::softmax_fwd]’
src/operator/nn/softmax.cc:37:80:   required from here
src/operator/nn/./softmax-inl.h:46:3: let op: comparison between signed and unsigned integer expressions [-Wsign-compare]
src/operator/nn/./softmax-inl.h: In instantiation of ‘void mxnet::op::mxnet_op::Softmax(mshadow::Stream<mshadow::cpu>*, DType*, DType*, mshadow::Shape<dim>, int) [with OP = mxnet::op::mxnet_op::softmax_fwd; DType = mshadow::half::half_t; int ndim = 2]’:
src/operator/nn/./softmax-inl.h:226:3:   required from ‘void mxnet::op::SoftmaxCompute(const nnvm::NodeAttrs&, const mxnet::OpContext&, const std::vector<mxnet::TBlob>&, const std::vector<mxnet::OpReqType>&, const std::vector<mxnet::TBlob>&) [with xpu = mshadow::cpu; OP = mxnet::op::mxnet_op::softmax_fwd]’
src/operator/nn/softmax.cc:37:80:   required from here
src/operator/nn/./softmax-inl.h:46:3: let op: comparison between signed and unsigned integer expressions [-Wsign-compare]
src/operator/nn/./softmax-inl.h: In instantiation of ‘void mxnet::op::mxnet_op::Softmax(mshadow::Stream<mshadow::cpu>*, DType*, DType*, mshadow::Shape<dim>, int) [with OP = mxnet::op::mxnet_op::softmax_fwd; DType = mshadow::half::half_t; int ndim = 3]’:
src/operator/nn/./softmax-inl.h:226:3:   required from ‘void mxnet::op::SoftmaxCompute(const nnvm::NodeAttrs&, const mxnet::OpContext&, const std::vector<mxnet::TBlob>&, const std::vector<mxnet::OpReqType>&, const std::vector<mxnet::TBlob>&) [with xpu = mshadow::cpu; OP = mxnet::op::mxnet_op::softmax_fwd]’
src/operator/nn/softmax.cc:37:80:   required from here
src/operator/nn/./softmax-inl.h:46:3: let op: comparison between signed and unsigned integer expressions [-Wsign-compare]
src/operator/nn/./softmax-inl.h: In instantiation of ‘void mxnet::op::mxnet_op::SoftmaxGrad(mshadow::Stream<mshadow::cpu>*, DType*, DType*, DType*, mshadow::Shape<dimdst>, int) [with OP1 = mshadow::op::mul; OP2 = mxnet::op::mxnet_op::softmax_bwd; DType = float; int ndim = 2]’:
src/operator/nn/./softmax-inl.h:250:3:   required from ‘void mxnet::op::SoftmaxGradCompute(const nnvm::NodeAttrs&, const mxnet::OpContext&, const std::vector<mxnet::TBlob>&, const std::vector<mxnet::OpReqType>&, const std::vector<mxnet::TBlob>&) [with xpu = mshadow::cpu; OP1 = mshadow::op::mul; OP2 = mxnet::op::mxnet_op::softmax_bwd]’
src/operator/nn/softmax.cc:44:79:   required from here
src/operator/nn/./softmax-inl.h:93:3: let op: comparison between signed and unsigned integer expressions [-Wsign-compare]
   for (int i = 0; i < N; ++i) {
   ^~~
src/operator/nn/./softmax-inl.h: In instantiation of ‘void mxnet::op::mxnet_op::SoftmaxGrad(mshadow::Stream<mshadow::cpu>*, DType*, DType*, DType*, mshadow::Shape<dimdst>, int) [with OP1 = mshadow::op::mul; OP2 = mxnet::op::mxnet_op::softmax_bwd; DType = float; int ndim = 3]’:
src/operator/nn/./softmax-inl.h:250:3:   required from ‘void mxnet::op::SoftmaxGradCompute(const nnvm::NodeAttrs&, const mxnet::OpContext&, const std::vector<mxnet::TBlob>&, const std::vector<mxnet::OpReqType>&, const std::vector<mxnet::TBlob>&) [with xpu = mshadow::cpu; OP1 = mshadow::op::mul; OP2 = mxnet::op::mxnet_op::softmax_bwd]’
src/operator/nn/softmax.cc:44:79:   required from here
src/operator/nn/./softmax-inl.h:93:3: let op: comparison between signed and unsigned integer expressions [-Wsign-compare]
src/operator/nn/./softmax-inl.h: In instantiation of ‘void mxnet::op::mxnet_op::SoftmaxGrad(mshadow::Stream<mshadow::cpu>*, DType*, DType*, DType*, mshadow::Shape<dimdst>, int) [with OP1 = mshadow::op::mul; OP2 = mxnet::op::mxnet_op::softmax_bwd; DType = double; int ndim = 2]’:
src/operator/nn/./softmax-inl.h:250:3:   required from ‘void mxnet::op::SoftmaxGradCompute(const nnvm::NodeAttrs&, const mxnet::OpContext&, const std::vector<mxnet::TBlob>&, const std::vector<mxnet::OpReqType>&, const std::vector<mxnet::TBlob>&) [with xpu = mshadow::cpu; OP1 = mshadow::op::mul; OP2 = mxnet::op::mxnet_op::softmax_bwd]’
src/operator/nn/softmax.cc:44:79:   required from here
src/operator/nn/./softmax-inl.h:93:3: let op: comparison between signed and unsigned integer expressions [-Wsign-compare]
src/operator/nn/./softmax-inl.h: In instantiation of ‘void mxnet::op::mxnet_op::SoftmaxGrad(mshadow::Stream<mshadow::cpu>*, DType*, DType*, DType*, mshadow::Shape<dimdst>, int) [with OP1 = mshadow::op::mul; OP2 = mxnet::op::mxnet_op::softmax_bwd; DType = double; int ndim = 3]’:
src/operator/nn/./softmax-inl.h:250:3:   required from ‘void mxnet::op::SoftmaxGradCompute(const nnvm::NodeAttrs&, const mxnet::OpContext&, const std::vector<mxnet::TBlob>&, const std::vector<mxnet::OpReqType>&, const std::vector<mxnet::TBlob>&) [with xpu = mshadow::cpu; OP1 = mshadow::op::mul; OP2 = mxnet::op::mxnet_op::softmax_bwd]’
src/operator/nn/softmax.cc:44:79:   required from here
src/operator/nn/./softmax-inl.h:93:3: let op: comparison between signed and unsigned integer expressions [-Wsign-compare]
src/operator/nn/./softmax-inl.h: In instantiation of ‘void mxnet::op::mxnet_op::SoftmaxGrad(mshadow::Stream<mshadow::cpu>*, DType*, DType*, DType*, mshadow::Shape<dimdst>, int) [with OP1 = mshadow::op::mul; OP2 = mxnet::op::mxnet_op::softmax_bwd; DType = mshadow::half::half_t; int ndim = 2]’:
src/operator/nn/./softmax-inl.h:250:3:   required from ‘void mxnet::op::SoftmaxGradCompute(const nnvm::NodeAttrs&, const mxnet::OpContext&, const std::vector<mxnet::TBlob>&, const std::vector<mxnet::OpReqType>&, const std::vector<mxnet::TBlob>&) [with xpu = mshadow::cpu; OP1 = mshadow::op::mul; OP2 = mxnet::op::mxnet_op::softmax_bwd]’
src/operator/nn/softmax.cc:44:79:   required from here
src/operator/nn/./softmax-inl.h:93:3: let op: comparison between signed and unsigned integer expressions [-Wsign-compare]
src/operator/nn/./softmax-inl.h: In instantiation of ‘void mxnet::op::mxnet_op::SoftmaxGrad(mshadow::Stream<mshadow::cpu>*, DType*, DType*, DType*, mshadow::Shape<dimdst>, int) [with OP1 = mshadow::op::mul; OP2 = mxnet::op::mxnet_op::softmax_bwd; DType = mshadow::half::half_t; int ndim = 3]’:
src/operator/nn/./softmax-inl.h:250:3:   required from ‘void mxnet::op::SoftmaxGradCompute(const nnvm::NodeAttrs&, const mxnet::OpContext&, const std::vector<mxnet::TBlob>&, const std::vector<mxnet::OpReqType>&, const std::vector<mxnet::TBlob>&) [with xpu = mshadow::cpu; OP1 = mshadow::op::mul; OP2 = mxnet::op::mxnet_op::softmax_bwd]’
src/operator/nn/softmax.cc:44:79:   required from here
src/operator/nn/./softmax-inl.h:93:3: let op: comparison between signed and unsigned integer expressions [-Wsign-compare]
src/operator/nn/./softmax-inl.h: In instantiation of ‘void mxnet::op::mxnet_op::Softmax(mshadow::Stream<mshadow::cpu>*, DType*, DType*, mshadow::Shape<dim>, int) [with OP = mxnet::op::mxnet_op::log_softmax_fwd; DType = float; int ndim = 2]’:
src/operator/nn/./softmax-inl.h:226:3:   required from ‘void mxnet::op::SoftmaxCompute(const nnvm::NodeAttrs&, const mxnet::OpContext&, const std::vector<mxnet::TBlob>&, const std::vector<mxnet::OpReqType>&, const std::vector<mxnet::TBlob>&) [with xpu = mshadow::cpu; OP = mxnet::op::mxnet_op::log_softmax_fwd]’
src/operator/nn/softmax.cc:64:84:   required from here
src/operator/nn/./softmax-inl.h:46:3: let op: comparison between signed and unsigned integer expressions [-Wsign-compare]
   for (int i = 0; i < N; ++i) {
   ^~~
src/operator/nn/./softmax-inl.h: In instantiation of ‘void mxnet::op::mxnet_op::Softmax(mshadow::Stream<mshadow::cpu>*, DType*, DType*, mshadow::Shape<dim>, int) [with OP = mxnet::op::mxnet_op::log_softmax_fwd; DType = float; int ndim = 3]’:
src/operator/nn/./softmax-inl.h:226:3:   required from ‘void mxnet::op::SoftmaxCompute(const nnvm::NodeAttrs&, const mxnet::OpContext&, const std::vector<mxnet::TBlob>&, const std::vector<mxnet::OpReqType>&, const std::vector<mxnet::TBlob>&) [with xpu = mshadow::cpu; OP = mxnet::op::mxnet_op::log_softmax_fwd]’
src/operator/nn/softmax.cc:64:84:   required from here
src/operator/nn/./softmax-inl.h:46:3: let op: comparison between signed and unsigned integer expressions [-Wsign-compare]
src/operator/nn/./softmax-inl.h: In instantiation of ‘void mxnet::op::mxnet_op::Softmax(mshadow::Stream<mshadow::cpu>*, DType*, DType*, mshadow::Shape<dim>, int) [with OP = mxnet::op::mxnet_op::log_softmax_fwd; DType = double; int ndim = 2]’:
src/operator/nn/./softmax-inl.h:226:3:   required from ‘void mxnet::op::SoftmaxCompute(const nnvm::NodeAttrs&, const mxnet::OpContext&, const std::vector<mxnet::TBlob>&, const std::vector<mxnet::OpReqType>&, const std::vector<mxnet::TBlob>&) [with xpu = mshadow::cpu; OP = mxnet::op::mxnet_op::log_softmax_fwd]’
src/operator/nn/softmax.cc:64:84:   required from here
src/operator/nn/./softmax-inl.h:46:3: let op: comparison between signed and unsigned integer expressions [-Wsign-compare]
src/operator/nn/./softmax-inl.h: In instantiation of ‘void mxnet::op::mxnet_op::Softmax(mshadow::Stream<mshadow::cpu>*, DType*, DType*, mshadow::Shape<dim>, int) [with OP = mxnet::op::mxnet_op::log_softmax_fwd; DType = double; int ndim = 3]’:
src/operator/nn/./softmax-inl.h:226:3:   required from ‘void mxnet::op::SoftmaxCompute(const nnvm::NodeAttrs&, const mxnet::OpContext&, const std::vector<mxnet::TBlob>&, const std::vector<mxnet::OpReqType>&, const std::vector<mxnet::TBlob>&) [with xpu = mshadow::cpu; OP = mxnet::op::mxnet_op::log_softmax_fwd]’
src/operator/nn/softmax.cc:64:84:   required from here
src/operator/nn/./softmax-inl.h:46:3: let op: comparison between signed and unsigned integer expressions [-Wsign-compare]
src/operator/nn/./softmax-inl.h: In instantiation of ‘void mxnet::op::mxnet_op::Softmax(mshadow::Stream<mshadow::cpu>*, DType*, DType*, mshadow::Shape<dim>, int) [with OP = mxnet::op::mxnet_op::log_softmax_fwd; DType = mshadow::half::half_t; int ndim = 2]’:
src/operator/nn/./softmax-inl.h:226:3:   required from ‘void mxnet::op::SoftmaxCompute(const nnvm::NodeAttrs&, const mxnet::OpContext&, const std::vector<mxnet::TBlob>&, const std::vector<mxnet::OpReqType>&, const std::vector<mxnet::TBlob>&) [with xpu = mshadow::cpu; OP = mxnet::op::mxnet_op::log_softmax_fwd]’
src/operator/nn/softmax.cc:64:84:   required from here
src/operator/nn/./softmax-inl.h:46:3: let op: comparison between signed and unsigned integer expressions [-Wsign-compare]
src/operator/nn/./softmax-inl.h: In instantiation of ‘void mxnet::op::mxnet_op::Softmax(mshadow::Stream<mshadow::cpu>*, DType*, DType*, mshadow::Shape<dim>, int) [with OP = mxnet::op::mxnet_op::log_softmax_fwd; DType = mshadow::half::half_t; int ndim = 3]’:
src/operator/nn/./softmax-inl.h:226:3:   required from ‘void mxnet::op::SoftmaxCompute(const nnvm::NodeAttrs&, const mxnet::OpContext&, const std::vector<mxnet::TBlob>&, const std::vector<mxnet::OpReqType>&, const std::vector<mxnet::TBlob>&) [with xpu = mshadow::cpu; OP = mxnet::op::mxnet_op::log_softmax_fwd]’
src/operator/nn/softmax.cc:64:84:   required from here
src/operator/nn/./softmax-inl.h:46:3: let op: comparison between signed and unsigned integer expressions [-Wsign-compare]
src/operator/nn/./softmax-inl.h: In instantiation of ‘void mxnet::op::mxnet_op::SoftmaxGrad(mshadow::Stream<mshadow::cpu>*, DType*, DType*, DType*, mshadow::Shape<dimdst>, int) [with OP1 = mxnet::op::mshadow_op::left; OP2 = mxnet::op::mxnet_op::log_softmax_bwd; DType = float; int ndim = 2]’:
src/operator/nn/./softmax-inl.h:250:3:   required from ‘void mxnet::op::SoftmaxGradCompute(const nnvm::NodeAttrs&, const mxnet::OpContext&, const std::vector<mxnet::TBlob>&, const std::vector<mxnet::OpReqType>&, const std::vector<mxnet::TBlob>&) [with xpu = mshadow::cpu; OP1 = mxnet::op::mshadow_op::left; OP2 = mxnet::op::mxnet_op::log_softmax_bwd]’
src/operator/nn/softmax.cc:71:83:   required from here
src/operator/nn/./softmax-inl.h:93:3: let op: comparison between signed and unsigned integer expressions [-Wsign-compare]
   for (int i = 0; i < N; ++i) {
   ^~~
src/operator/nn/./softmax-inl.h: In instantiation of ‘void mxnet::op::mxnet_op::SoftmaxGrad(mshadow::Stream<mshadow::cpu>*, DType*, DType*, DType*, mshadow::Shape<dimdst>, int) [with OP1 = mxnet::op::mshadow_op::left; OP2 = mxnet::op::mxnet_op::log_softmax_bwd; DType = float; int ndim = 3]’:
src/operator/nn/./softmax-inl.h:250:3:   required from ‘void mxnet::op::SoftmaxGradCompute(const nnvm::NodeAttrs&, const mxnet::OpContext&, const std::vector<mxnet::TBlob>&, const std::vector<mxnet::OpReqType>&, const std::vector<mxnet::TBlob>&) [with xpu = mshadow::cpu; OP1 = mxnet::op::mshadow_op::left; OP2 = mxnet::op::mxnet_op::log_softmax_bwd]’
src/operator/nn/softmax.cc:71:83:   required from here
src/operator/nn/./softmax-inl.h:93:3: let op: comparison between signed and unsigned integer expressions [-Wsign-compare]
src/operator/nn/./softmax-inl.h: In instantiation of ‘void mxnet::op::mxnet_op::SoftmaxGrad(mshadow::Stream<mshadow::cpu>*, DType*, DType*, DType*, mshadow::Shape<dimdst>, int) [with OP1 = mxnet::op::mshadow_op::left; OP2 = mxnet::op::mxnet_op::log_softmax_bwd; DType = double; int ndim = 2]’:
src/operator/nn/./softmax-inl.h:250:3:   required from ‘void mxnet::op::SoftmaxGradCompute(const nnvm::NodeAttrs&, const mxnet::OpContext&, const std::vector<mxnet::TBlob>&, const std::vector<mxnet::OpReqType>&, const std::vector<mxnet::TBlob>&) [with xpu = mshadow::cpu; OP1 = mxnet::op::mshadow_op::left; OP2 = mxnet::op::mxnet_op::log_softmax_bwd]’
src/operator/nn/softmax.cc:71:83:   required from here
src/operator/nn/./softmax-inl.h:93:3: let op: comparison between signed and unsigned integer expressions [-Wsign-compare]
src/operator/nn/./softmax-inl.h: In instantiation of ‘void mxnet::op::mxnet_op::SoftmaxGrad(mshadow::Stream<mshadow::cpu>*, DType*, DType*, DType*, mshadow::Shape<dimdst>, int) [with OP1 = mxnet::op::mshadow_op::left; OP2 = mxnet::op::mxnet_op::log_softmax_bwd; DType = double; int ndim = 3]’:
src/operator/nn/./softmax-inl.h:250:3:   required from ‘void mxnet::op::SoftmaxGradCompute(const nnvm::NodeAttrs&, const mxnet::OpContext&, const std::vector<mxnet::TBlob>&, const std::vector<mxnet::OpReqType>&, const std::vector<mxnet::TBlob>&) [with xpu = mshadow::cpu; OP1 = mxnet::op::mshadow_op::left; OP2 = mxnet::op::mxnet_op::log_softmax_bwd]’
src/operator/nn/softmax.cc:71:83:   required from here
src/operator/nn/./softmax-inl.h:93:3: let op: comparison between signed and unsigned integer expressions [-Wsign-compare]
src/operator/nn/./softmax-inl.h: In instantiation of ‘void mxnet::op::mxnet_op::SoftmaxGrad(mshadow::Stream<mshadow::cpu>*, DType*, DType*, DType*, mshadow::Shape<dimdst>, int) [with OP1 = mxnet::op::mshadow_op::left; OP2 = mxnet::op::mxnet_op::log_softmax_bwd; DType = mshadow::half::half_t; int ndim = 2]’:
src/operator/nn/./softmax-inl.h:250:3:   required from ‘void mxnet::op::SoftmaxGradCompute(const nnvm::NodeAttrs&, const mxnet::OpContext&, const std::vector<mxnet::TBlob>&, const std::vector<mxnet::OpReqType>&, const std::vector<mxnet::TBlob>&) [with xpu = mshadow::cpu; OP1 = mxnet::op::mshadow_op::left; OP2 = mxnet::op::mxnet_op::log_softmax_bwd]’
src/operator/nn/softmax.cc:71:83:   required from here
src/operator/nn/./softmax-inl.h:93:3: let op: comparison between signed and unsigned integer expressions [-Wsign-compare]
src/operator/nn/./softmax-inl.h: In instantiation of ‘void mxnet::op::mxnet_op::SoftmaxGrad(mshadow::Stream<mshadow::cpu>*, DType*, DType*, DType*, mshadow::Shape<dimdst>, int) [with OP1 = mxnet::op::mshadow_op::left; OP2 = mxnet::op::mxnet_op::log_softmax_bwd; DType = mshadow::half::half_t; int ndim = 3]’:
src/operator/nn/./softmax-inl.h:250:3:   required from ‘void mxnet::op::SoftmaxGradCompute(const nnvm::NodeAttrs&, const mxnet::OpContext&, const std::vector<mxnet::TBlob>&, const std::vector<mxnet::OpReqType>&, const std::vector<mxnet::TBlob>&) [with xpu = mshadow::cpu; OP1 = mxnet::op::mshadow_op::left; OP2 = mxnet::op::mxnet_op::log_softmax_bwd]’
src/operator/nn/softmax.cc:71:83:   required from here
src/operator/nn/./softmax-inl.h:93:3: let op: comparison between signed and unsigned integer expressions [-Wsign-compare]
g++ -std=c++11 -c -DMSHADOW_FORCE_STREAM -Wall -Wsign-compare -O3 -DNDEBUG=1 -I/home/bengbers/Tmp/mxnet/mshadow/ -I/home/bengbers/Tmp/mxnet/dmlc-core/include -fPIC -I/home/bengbers/Tmp/mxnet/nnvm/include -I/home/bengbers/Tmp/mxnet/dlpack/include -Iinclude -funroll-loops -Wno-unused-variable -Wno-unused-parameter -Wno-unknown-pragmas -Wno-unused-local-typedefs -msse3 -DMSHADOW_USE_CUDA=0 -DMSHADOW_USE_CBLAS=1 -DMSHADOW_USE_MKL=0 -DMSHADOW_RABIT_PS=0 -DMSHADOW_DIST_PS=0 -DMSHADOW_USE_PASCAL=0 -DMXNET_USE_OPENCV=1 -I/usr/include/opencv  -fopenmp  -DMXNET_USE_NVRTC=0 -MMD -c src/operator/nnpack/nnpack_util.cc -o build/src/operator/nnpack/nnpack_util.o
g++ -std=c++11 -c -DMSHADOW_FORCE_STREAM -Wall -Wsign-compare -O3 -DNDEBUG=1 -I/home/bengbers/Tmp/mxnet/mshadow/ -I/home/bengbers/Tmp/mxnet/dmlc-core/include -fPIC -I/home/bengbers/Tmp/mxnet/nnvm/include -I/home/bengbers/Tmp/mxnet/dlpack/include -Iinclude -funroll-loops -Wno-unused-variable -Wno-unused-parameter -Wno-unknown-pragmas -Wno-unused-local-typedefs -msse3 -DMSHADOW_USE_CUDA=0 -DMSHADOW_USE_CBLAS=1 -DMSHADOW_USE_MKL=0 -DMSHADOW_RABIT_PS=0 -DMSHADOW_DIST_PS=0 -DMSHADOW_USE_PASCAL=0 -DMXNET_USE_OPENCV=1 -I/usr/include/opencv  -fopenmp  -DMXNET_USE_NVRTC=0 -MMD -c src/operator/tensor/elemwise_binary_broadcast_op_extended.cc -o build/src/operator/tensor/elemwise_binary_broadcast_op_extended.o
g++ -std=c++11 -c -DMSHADOW_FORCE_STREAM -Wall -Wsign-compare -O3 -DNDEBUG=1 -I/home/bengbers/Tmp/mxnet/mshadow/ -I/home/bengbers/Tmp/mxnet/dmlc-core/include -fPIC -I/home/bengbers/Tmp/mxnet/nnvm/include -I/home/bengbers/Tmp/mxnet/dlpack/include -Iinclude -funroll-loops -Wno-unused-variable -Wno-unused-parameter -Wno-unknown-pragmas -Wno-unused-local-typedefs -msse3 -DMSHADOW_USE_CUDA=0 -DMSHADOW_USE_CBLAS=1 -DMSHADOW_USE_MKL=0 -DMSHADOW_RABIT_PS=0 -DMSHADOW_DIST_PS=0 -DMSHADOW_USE_PASCAL=0 -DMXNET_USE_OPENCV=1 -I/usr/include/opencv  -fopenmp  -DMXNET_USE_NVRTC=0 -MMD -c src/operator/tensor/elemwise_binary_op_extended.cc -o build/src/operator/tensor/elemwise_binary_op_extended.o
g++ -std=c++11 -c -DMSHADOW_FORCE_STREAM -Wall -Wsign-compare -O3 -DNDEBUG=1 -I/home/bengbers/Tmp/mxnet/mshadow/ -I/home/bengbers/Tmp/mxnet/dmlc-core/include -fPIC -I/home/bengbers/Tmp/mxnet/nnvm/include -I/home/bengbers/Tmp/mxnet/dlpack/include -Iinclude -funroll-loops -Wno-unused-variable -Wno-unused-parameter -Wno-unknown-pragmas -Wno-unused-local-typedefs -msse3 -DMSHADOW_USE_CUDA=0 -DMSHADOW_USE_CBLAS=1 -DMSHADOW_USE_MKL=0 -DMSHADOW_RABIT_PS=0 -DMSHADOW_DIST_PS=0 -DMSHADOW_USE_PASCAL=0 -DMXNET_USE_OPENCV=1 -I/usr/include/opencv  -fopenmp  -DMXNET_USE_NVRTC=0 -MMD -c src/operator/tensor/matrix_op.cc -o build/src/operator/tensor/matrix_op.o
In file included from src/operator/tensor/matrix_op.cc:7:0:
src/operator/tensor/./matrix_op-inl.h: In instantiation of ‘void mxnet::op::ReverseOpForward(const nnvm::NodeAttrs&, const mxnet::OpContext&, const std::vector<mxnet::TBlob>&, const std::vector<mxnet::OpReqType>&, const std::vector<mxnet::TBlob>&) [with xpu = mshadow::cpu]’:
src/operator/tensor/matrix_op.cc:615:59:   required from here
src/operator/tensor/./matrix_op-inl.h:1739:38: let op: comparison between signed and unsigned integer expressions [-Wsign-compare]
     for (int i2 = *axis_iter + 1; i2 < ishape.ndim(); ++i2) {
                                   ~~~^~~~~~~~~~~~~~~
g++ -std=c++11 -c -DMSHADOW_FORCE_STREAM -Wall -Wsign-compare -O3 -DNDEBUG=1 -I/home/bengbers/Tmp/mxnet/mshadow/ -I/home/bengbers/Tmp/mxnet/dmlc-core/include -fPIC -I/home/bengbers/Tmp/mxnet/nnvm/include -I/home/bengbers/Tmp/mxnet/dlpack/include -Iinclude -funroll-loops -Wno-unused-variable -Wno-unused-parameter -Wno-unknown-pragmas -Wno-unused-local-typedefs -msse3 -DMSHADOW_USE_CUDA=0 -DMSHADOW_USE_CBLAS=1 -DMSHADOW_USE_MKL=0 -DMSHADOW_RABIT_PS=0 -DMSHADOW_DIST_PS=0 -DMSHADOW_USE_PASCAL=0 -DMXNET_USE_OPENCV=1 -I/usr/include/opencv  -fopenmp  -DMXNET_USE_NVRTC=0 -MMD -c src/operator/tensor/init_op.cc -o build/src/operator/tensor/init_op.o
g++ -std=c++11 -c -DMSHADOW_FORCE_STREAM -Wall -Wsign-compare -O3 -DNDEBUG=1 -I/home/bengbers/Tmp/mxnet/mshadow/ -I/home/bengbers/Tmp/mxnet/dmlc-core/include -fPIC -I/home/bengbers/Tmp/mxnet/nnvm/include -I/home/bengbers/Tmp/mxnet/dlpack/include -Iinclude -funroll-loops -Wno-unused-variable -Wno-unused-parameter -Wno-unknown-pragmas -Wno-unused-local-typedefs -msse3 -DMSHADOW_USE_CUDA=0 -DMSHADOW_USE_CBLAS=1 -DMSHADOW_USE_MKL=0 -DMSHADOW_RABIT_PS=0 -DMSHADOW_DIST_PS=0 -DMSHADOW_USE_PASCAL=0 -DMXNET_USE_OPENCV=1 -I/usr/include/opencv  -fopenmp  -DMXNET_USE_NVRTC=0 -MMD -c src/operator/tensor/elemwise_binary_broadcast_op_basic.cc -o build/src/operator/tensor/elemwise_binary_broadcast_op_basic.o
g++ -std=c++11 -c -DMSHADOW_FORCE_STREAM -Wall -Wsign-compare -O3 -DNDEBUG=1 -I/home/bengbers/Tmp/mxnet/mshadow/ -I/home/bengbers/Tmp/mxnet/dmlc-core/include -fPIC -I/home/bengbers/Tmp/mxnet/nnvm/include -I/home/bengbers/Tmp/mxnet/dlpack/include -Iinclude -funroll-loops -Wno-unused-variable -Wno-unused-parameter -Wno-unknown-pragmas -Wno-unused-local-typedefs -msse3 -DMSHADOW_USE_CUDA=0 -DMSHADOW_USE_CBLAS=1 -DMSHADOW_USE_MKL=0 -DMSHADOW_RABIT_PS=0 -DMSHADOW_DIST_PS=0 -DMSHADOW_USE_PASCAL=0 -DMXNET_USE_OPENCV=1 -I/usr/include/opencv  -fopenmp  -DMXNET_USE_NVRTC=0 -MMD -c src/operator/tensor/la_op.cc -o build/src/operator/tensor/la_op.o
In file included from src/operator/tensor/./la_op_inline.h:9:0,
                 from src/operator/tensor/la_op.cc:7:
include/mxnet/c_lapack_api.h:78:25: note: #pragma message: Warning: lapack usage not enabled, linalg-operators will not be available. Ensure that lapack library is installed and build with USE_LAPACK=1 to get lapack functionalities.
      " functionalities.")
                         ^
g++ -std=c++11 -c -DMSHADOW_FORCE_STREAM -Wall -Wsign-compare -O3 -DNDEBUG=1 -I/home/bengbers/Tmp/mxnet/mshadow/ -I/home/bengbers/Tmp/mxnet/dmlc-core/include -fPIC -I/home/bengbers/Tmp/mxnet/nnvm/include -I/home/bengbers/Tmp/mxnet/dlpack/include -Iinclude -funroll-loops -Wno-unused-variable -Wno-unused-parameter -Wno-unknown-pragmas -Wno-unused-local-typedefs -msse3 -DMSHADOW_USE_CUDA=0 -DMSHADOW_USE_CBLAS=1 -DMSHADOW_USE_MKL=0 -DMSHADOW_RABIT_PS=0 -DMSHADOW_DIST_PS=0 -DMSHADOW_USE_PASCAL=0 -DMXNET_USE_OPENCV=1 -I/usr/include/opencv  -fopenmp  -DMXNET_USE_NVRTC=0 -MMD -c src/operator/tensor/broadcast_reduce_op_index.cc -o build/src/operator/tensor/broadcast_reduce_op_index.o
In file included from src/operator/tensor/broadcast_reduce_op_index.cc:6:0:
src/operator/tensor/./broadcast_reduce_op.h: In instantiation of ‘void mxnet::op::PickOpForward(const nnvm::NodeAttrs&, const mxnet::OpContext&, const std::vector<mxnet::TBlob>&, const std::vector<mxnet::OpReqType>&, const std::vector<mxnet::TBlob>&) [with xpu = mshadow::cpu]’:
src/operator/tensor/broadcast_reduce_op_index.cc:136:56:   required from here
src/operator/tensor/./broadcast_reduce_op.h:628:25: let op: comparison between signed and unsigned integer expressions [-Wsign-compare]
   for (index_t i = 0; i < axis; ++i) leading *= ishape[i];
                       ~~^~~~~~
g++ -std=c++11 -c -DMSHADOW_FORCE_STREAM -Wall -Wsign-compare -O3 -DNDEBUG=1 -I/home/bengbers/Tmp/mxnet/mshadow/ -I/home/bengbers/Tmp/mxnet/dmlc-core/include -fPIC -I/home/bengbers/Tmp/mxnet/nnvm/include -I/home/bengbers/Tmp/mxnet/dlpack/include -Iinclude -funroll-loops -Wno-unused-variable -Wno-unused-parameter -Wno-unknown-pragmas -Wno-unused-local-typedefs -msse3 -DMSHADOW_USE_CUDA=0 -DMSHADOW_USE_CBLAS=1 -DMSHADOW_USE_MKL=0 -DMSHADOW_RABIT_PS=0 -DMSHADOW_DIST_PS=0 -DMSHADOW_USE_PASCAL=0 -DMXNET_USE_OPENCV=1 -I/usr/include/opencv  -fopenmp  -DMXNET_USE_NVRTC=0 -MMD -c src/operator/tensor/elemwise_binary_scalar_op_logic.cc -o build/src/operator/tensor/elemwise_binary_scalar_op_logic.o
g++ -std=c++11 -c -DMSHADOW_FORCE_STREAM -Wall -Wsign-compare -O3 -DNDEBUG=1 -I/home/bengbers/Tmp/mxnet/mshadow/ -I/home/bengbers/Tmp/mxnet/dmlc-core/include -fPIC -I/home/bengbers/Tmp/mxnet/nnvm/include -I/home/bengbers/Tmp/mxnet/dlpack/include -Iinclude -funroll-loops -Wno-unused-variable -Wno-unused-parameter -Wno-unknown-pragmas -Wno-unused-local-typedefs -msse3 -DMSHADOW_USE_CUDA=0 -DMSHADOW_USE_CBLAS=1 -DMSHADOW_USE_MKL=0 -DMSHADOW_RABIT_PS=0 -DMSHADOW_DIST_PS=0 -DMSHADOW_USE_PASCAL=0 -DMXNET_USE_OPENCV=1 -I/usr/include/opencv  -fopenmp  -DMXNET_USE_NVRTC=0 -MMD -c src/operator/tensor/elemwise_unary_op.cc -o build/src/operator/tensor/elemwise_unary_op.o
g++ -std=c++11 -c -DMSHADOW_FORCE_STREAM -Wall -Wsign-compare -O3 -DNDEBUG=1 -I/home/bengbers/Tmp/mxnet/mshadow/ -I/home/bengbers/Tmp/mxnet/dmlc-core/include -fPIC -I/home/bengbers/Tmp/mxnet/nnvm/include -I/home/bengbers/Tmp/mxnet/dlpack/include -Iinclude -funroll-loops -Wno-unused-variable -Wno-unused-parameter -Wno-unknown-pragmas -Wno-unused-local-typedefs -msse3 -DMSHADOW_USE_CUDA=0 -DMSHADOW_USE_CBLAS=1 -DMSHADOW_USE_MKL=0 -DMSHADOW_RABIT_PS=0 -DMSHADOW_DIST_PS=0 -DMSHADOW_USE_PASCAL=0 -DMXNET_USE_OPENCV=1 -I/usr/include/opencv  -fopenmp  -DMXNET_USE_NVRTC=0 -MMD -c src/operator/tensor/broadcast_reduce_op_value.cc -o build/src/operator/tensor/broadcast_reduce_op_value.o
g++ -std=c++11 -c -DMSHADOW_FORCE_STREAM -Wall -Wsign-compare -O3 -DNDEBUG=1 -I/home/bengbers/Tmp/mxnet/mshadow/ -I/home/bengbers/Tmp/mxnet/dmlc-core/include -fPIC -I/home/bengbers/Tmp/mxnet/nnvm/include -I/home/bengbers/Tmp/mxnet/dlpack/include -Iinclude -funroll-loops -Wno-unused-variable -Wno-unused-parameter -Wno-unknown-pragmas -Wno-unused-local-typedefs -msse3 -DMSHADOW_USE_CUDA=0 -DMSHADOW_USE_CBLAS=1 -DMSHADOW_USE_MKL=0 -DMSHADOW_RABIT_PS=0 -DMSHADOW_DIST_PS=0 -DMSHADOW_USE_PASCAL=0 -DMXNET_USE_OPENCV=1 -I/usr/include/opencv  -fopenmp  -DMXNET_USE_NVRTC=0 -MMD -c src/operator/tensor/ordering_op.cc -o build/src/operator/tensor/ordering_op.o
In file included from src/operator/tensor/./ordering_op-inl.h:16:0,
                 from src/operator/tensor/ordering_op.cc:7:
src/operator/tensor/././sort_op.h: In instantiation of ‘void mxnet::op::SortByKey(mshadow::Tensor<mshadow::cpu, 1, DType>, mshadow::Tensor<mshadow::cpu, 1, VDType>, bool, mshadow::Tensor<mshadow::cpu, 1, char>*, int, int) [with KDType = float; VDType = float]’:
src/operator/tensor/./ordering_op-inl.h:206:23:   required from ‘void mxnet::op::TopKImpl(mxnet::RunContext, mxnet::Resource, const mxnet::TBlob&, const std::vector<mxnet::TBlob>&, const mxnet::op::TopKParam&) [with xpu = mshadow::cpu]’
src/operator/tensor/./ordering_op-inl.h:286:16:   required from ‘void mxnet::op::TopK(const nnvm::NodeAttrs&, const mxnet::OpContext&, const std::vector<mxnet::TBlob>&, const std::vector<mxnet::OpReqType>&, const std::vector<mxnet::TBlob>&) [with xpu = mshadow::cpu]’
src/operator/tensor/ordering_op.cc:51:47:   required from here
src/operator/tensor/././sort_op.h:34:21: let op: comparison between signed and unsigned integer expressions [-Wsign-compare]
   for (int i = 0; i < keys.size(0); i++) {
g++ -std=c++11 -c -DMSHADOW_FORCE_STREAM -Wall -Wsign-compare -O3 -DNDEBUG=1 -I/home/bengbers/Tmp/mxnet/mshadow/ -I/home/bengbers/Tmp/mxnet/dmlc-core/include -fPIC -I/home/bengbers/Tmp/mxnet/nnvm/include -I/home/bengbers/Tmp/mxnet/dlpack/include -Iinclude -funroll-loops -Wno-unused-variable -Wno-unused-parameter -Wno-unknown-pragmas -Wno-unused-local-typedefs -msse3 -DMSHADOW_USE_CUDA=0 -DMSHADOW_USE_CBLAS=1 -DMSHADOW_USE_MKL=0 -DMSHADOW_RABIT_PS=0 -DMSHADOW_DIST_PS=0 -DMSHADOW_USE_PASCAL=0 -DMXNET_USE_OPENCV=1 -I/usr/include/opencv  -fopenmp  -DMXNET_USE_NVRTC=0 -MMD -c src/operator/tensor/elemwise_binary_op_basic.cc -o build/src/operator/tensor/elemwise_binary_op_basic.o
g++ -std=c++11 -c -DMSHADOW_FORCE_STREAM -Wall -Wsign-compare -O3 -DNDEBUG=1 -I/home/bengbers/Tmp/mxnet/mshadow/ -I/home/bengbers/Tmp/mxnet/dmlc-core/include -fPIC -I/home/bengbers/Tmp/mxnet/nnvm/include -I/home/bengbers/Tmp/mxnet/dlpack/include -Iinclude -funroll-loops -Wno-unused-variable -Wno-unused-parameter -Wno-unknown-pragmas -Wno-unused-local-typedefs -msse3 -DMSHADOW_USE_CUDA=0 -DMSHADOW_USE_CBLAS=1 -DMSHADOW_USE_MKL=0 -DMSHADOW_RABIT_PS=0 -DMSHADOW_DIST_PS=0 -DMSHADOW_USE_PASCAL=0 -DMXNET_USE_OPENCV=1 -I/usr/include/opencv  -fopenmp  -DMXNET_USE_NVRTC=0 -MMD -c src/operator/tensor/elemwise_binary_scalar_op_basic.cc -o build/src/operator/tensor/elemwise_binary_scalar_op_basic.o
g++ -std=c++11 -c -DMSHADOW_FORCE_STREAM -Wall -Wsign-compare -O3 -DNDEBUG=1 -I/home/bengbers/Tmp/mxnet/mshadow/ -I/home/bengbers/Tmp/mxnet/dmlc-core/include -fPIC -I/home/bengbers/Tmp/mxnet/nnvm/include -I/home/bengbers/Tmp/mxnet/dlpack/include -Iinclude -funroll-loops -Wno-unused-variable -Wno-unused-parameter -Wno-unknown-pragmas -Wno-unused-local-typedefs -msse3 -DMSHADOW_USE_CUDA=0 -DMSHADOW_USE_CBLAS=1 -DMSHADOW_USE_MKL=0 -DMSHADOW_RABIT_PS=0 -DMSHADOW_DIST_PS=0 -DMSHADOW_USE_PASCAL=0 -DMXNET_USE_OPENCV=1 -I/usr/include/opencv  -fopenmp  -DMXNET_USE_NVRTC=0 -MMD -c src/operator/tensor/indexing_op.cc -o build/src/operator/tensor/indexing_op.o
In file included from src/operator/tensor/./indexing_op.h:24:0,
                 from src/operator/tensor/indexing_op.cc:8:
src/operator/tensor/././sort_op.h: In instantiation of ‘void mxnet::op::SortByKey(mshadow::Tensor<mshadow::cpu, 1, DType>, mshadow::Tensor<mshadow::cpu, 1, VDType>, bool, mshadow::Tensor<mshadow::cpu, 1, char>*, int, int) [with KDType = int; VDType = int]’:
src/operator/tensor/./indexing_op.h:261:23:   required from ‘void mxnet::op::AddTakeGradLargeBatchCaller(const mxnet::OpContext&, mshadow::Tensor<Device, 2, DType>, const mshadow::Tensor<Device, 1, DType>&, const mshadow::Tensor<Device, 2, DType>&) [with xpu = mshadow::cpu; IndexType = float; DType = float]’
src/operator/tensor/./indexing_op.h:283:3:   required from ‘void mxnet::op::EmbeddingOpBackward(const nnvm::NodeAttrs&, const mxnet::OpContext&, const std::vector<mxnet::TBlob>&, const std::vector<mxnet::OpReqType>&, const std::vector<mxnet::TBlob>&) [with xpu = mshadow::cpu]’
src/operator/tensor/indexing_op.cc:87:62:   required from here
src/operator/tensor/././sort_op.h:34:21: let op: comparison between signed and unsigned integer expressions [-Wsign-compare]
   for (int i = 0; i < keys.size(0); i++) {
g++ -std=c++11 -c -DMSHADOW_FORCE_STREAM -Wall -Wsign-compare -O3 -DNDEBUG=1 -I/home/bengbers/Tmp/mxnet/mshadow/ -I/home/bengbers/Tmp/mxnet/dmlc-core/include -fPIC -I/home/bengbers/Tmp/mxnet/nnvm/include -I/home/bengbers/Tmp/mxnet/dlpack/include -Iinclude -funroll-loops -Wno-unused-variable -Wno-unused-parameter -Wno-unknown-pragmas -Wno-unused-local-typedefs -msse3 -DMSHADOW_USE_CUDA=0 -DMSHADOW_USE_CBLAS=1 -DMSHADOW_USE_MKL=0 -DMSHADOW_RABIT_PS=0 -DMSHADOW_DIST_PS=0 -DMSHADOW_USE_PASCAL=0 -DMXNET_USE_OPENCV=1 -I/usr/include/opencv  -fopenmp  -DMXNET_USE_NVRTC=0 -MMD -c src/operator/tensor/elemwise_binary_broadcast_op_logic.cc -o build/src/operator/tensor/elemwise_binary_broadcast_op_logic.o
g++ -std=c++11 -c -DMSHADOW_FORCE_STREAM -Wall -Wsign-compare -O3 -DNDEBUG=1 -I/home/bengbers/Tmp/mxnet/mshadow/ -I/home/bengbers/Tmp/mxnet/dmlc-core/include -fPIC -I/home/bengbers/Tmp/mxnet/nnvm/include -I/home/bengbers/Tmp/mxnet/dlpack/include -Iinclude -funroll-loops -Wno-unused-variable -Wno-unused-parameter -Wno-unknown-pragmas -Wno-unused-local-typedefs -msse3 -DMSHADOW_USE_CUDA=0 -DMSHADOW_USE_CBLAS=1 -DMSHADOW_USE_MKL=0 -DMSHADOW_RABIT_PS=0 -DMSHADOW_DIST_PS=0 -DMSHADOW_USE_PASCAL=0 -DMXNET_USE_OPENCV=1 -I/usr/include/opencv  -fopenmp  -DMXNET_USE_NVRTC=0 -MMD -c src/operator/tensor/elemwise_binary_op_logic.cc -o build/src/operator/tensor/elemwise_binary_op_logic.o
g++ -std=c++11 -c -DMSHADOW_FORCE_STREAM -Wall -Wsign-compare -O3 -DNDEBUG=1 -I/home/bengbers/Tmp/mxnet/mshadow/ -I/home/bengbers/Tmp/mxnet/dmlc-core/include -fPIC -I/home/bengbers/Tmp/mxnet/nnvm/include -I/home/bengbers/Tmp/mxnet/dlpack/include -Iinclude -funroll-loops -Wno-unused-variable -Wno-unused-parameter -Wno-unknown-pragmas -Wno-unused-local-typedefs -msse3 -DMSHADOW_USE_CUDA=0 -DMSHADOW_USE_CBLAS=1 -DMSHADOW_USE_MKL=0 -DMSHADOW_RABIT_PS=0 -DMSHADOW_DIST_PS=0 -DMSHADOW_USE_PASCAL=0 -DMXNET_USE_OPENCV=1 -I/usr/include/opencv  -fopenmp  -DMXNET_USE_NVRTC=0 -MMD -c src/operator/tensor/control_flow_op.cc -o build/src/operator/tensor/control_flow_op.o
g++: interne compilerfout: Killed (program cc1plus)
Please submit a full bug report,
with preprocessed source if appropriate.
Zie <http://bugzilla.redhat.com/bugzilla> voor instructies.
make: *** [Makefile:271: build/src/operator/tensor/control_flow_op.o] Fout 4


Expected results:


Additional info:
I manually compiled src/operator/tensor/control_flow_op.cc (g++ -E  -std=c++11 -c -DMSHADOW_FORCE_STREAM -Wall -Wsign-compare -O3 -DNDEBUG=1 -I/home/bengbers/Tmp/mxnet/mshadow/ -I/home/bengbers/Tmp/mxnet/dmlc-core/include -fPIC -I/home/bengbers/Tmp/mxnet/nnvm/include -I/home/bengbers/Tmp/mxnet/dlpack/include -Iinclude -funroll-loops -Wno-unused-variable -Wno-unused-parameter -Wno-unknown-pragmas -Wno-unused-local-typedefs -msse3 -DMSHADOW_USE_CUDA=0 -DMSHADOW_USE_CBLAS=1 -DMSHADOW_USE_MKL=0 -DMSHADOW_RABIT_PS=0 -DMSHADOW_DIST_PS=0 -DMSHADOW_USE_PASCAL=0 -DMXNET_USE_OPENCV=1 -I/usr/include/opencv  -fopenmp  -DMXNET_USE_NVRTC=0 -MMD -c src/operator/tensor/control_flow_op.cc -o build/src/operator/tensor/control_flow_op.o) 
with option -E which resulted in 'control_flow_op.o' and 'control_flow_op.d'
Comment 1 Ben Engbers 2017-07-18 08:04:32 EDT
Same procedure with same outcome executed on a Thinkpad R500 and an Samsung NC-110
Comment 2 Fedora End Of Life 2018-05-03 04:44:34 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2018-05-29 08:08:49 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.